---
title: List DNS Records
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[DNS](https://developers.cloudflare.com/api/go/resources/dns)

[Records](https://developers.cloudflare.com/api/go/resources/dns/subresources/records)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List DNS Records

client.DNS.Records.List(ctx, params) (\*V4PagePaginationArray\[[RecordResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)>)], error)

GET/zones/{zone\_id}/dns\_records

List, search, sort, and filter a zones’ DNS records.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Read``DNS Write`

##### ParametersExpand Collapse

<details>

<summary>

params RecordListParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

Comment param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)">RecordListParamsComment</a>]Optional

Query param

</summary>

Absent stringOptional

If this parameter is present, only records *without* a comment are returned.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20absent">Link to this property</a>

Contains stringOptional

Substring of the DNS record comment. Comment filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20contains">Link to this property</a>

Endswith stringOptional

Suffix of the DNS record comment. Comment filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20endswith">Link to this property</a>

Exact stringOptional

Exact value of the DNS record comment. Comment filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20exact">Link to this property</a>

Present stringOptional

If this parameter is present, only records *with* a comment are returned.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20present">Link to this property</a>

Startswith stringOptional

Prefix of the DNS record comment. Comment filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment%20%3E%20(schema)%20%3E%20(property)%20startswith">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20comment">Link to this property</a>

<details>

<summary>

Content param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content%20%3E%20(schema)">RecordListParamsContent</a>]Optional

Query param

</summary>

Contains stringOptional

Substring of the DNS record content. Content filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content%20%3E%20(schema)%20%3E%20(property)%20contains">Link to this property</a>

Endswith stringOptional

Suffix of the DNS record content. Content filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content%20%3E%20(schema)%20%3E%20(property)%20endswith">Link to this property</a>

Exact stringOptional

Exact value of the DNS record content. Content filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content%20%3E%20(schema)%20%3E%20(property)%20exact">Link to this property</a>

Startswith stringOptional

Prefix of the DNS record content. Content filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content%20%3E%20(schema)%20%3E%20(property)%20startswith">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20content">Link to this property</a>

Direction param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20sort_direction%20%3E%20(schema)">SortDirection</a>]Optional

Query param: Direction to order DNS records in.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction">Link to this property</a>

IncludeShadowMetadata param.Field\[bool]Optional

Query param: Whether to include shadow metadata in the <code>meta</code> field of each record in the response. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20include_shadow_metadata">Link to this property</a>

<details>

<summary>

Match param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match%20%3E%20(schema)">RecordListParamsMatch</a>]Optional

Query param: Whether to match all search requirements or at least one (any). If set to <code>all</code>, acts like a logical AND between filters. If set to <code>any</code>, acts like a logical OR instead. Note that the interaction between tag filters is controlled by the <code>tag-match</code> parameter instead.

</summary>

const RecordListParamsMatchAny <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match%20%3E%20(schema)">RecordListParamsMatch</a> = "any"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RecordListParamsMatchAll <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match%20%3E%20(schema)">RecordListParamsMatch</a> = "all"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20match">Link to this property</a>

<details>

<summary>

Name param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)">RecordListParamsName</a>]Optional

Query param

</summary>

Contains stringOptional

Substring of the DNS record name. Name filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20contains">Link to this property</a>

Endswith stringOptional

Suffix of the DNS record name. Name filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20endswith">Link to this property</a>

Exact stringOptional

Exact value of the DNS record name. Name filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20exact">Link to this property</a>

Startswith stringOptional

Prefix of the DNS record name. Name filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20startswith">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

<details>

<summary>

Order param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a>]Optional

Query param: Field to order DNS records by.

</summary>

const RecordListParamsOrderType <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a> = "type"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RecordListParamsOrderName <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a> = "name"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const RecordListParamsOrderContent <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a> = "content"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const RecordListParamsOrderTTL <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a> = "ttl"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const RecordListParamsOrderProxied <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">RecordListParamsOrder</a> = "proxied"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order">Link to this property</a>

Page param.Field\[float64]Optional

Query param: Page number of paginated results.

minimum1

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Number of DNS records per page.

maximum5000000

minimum1

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Proxied param.Field\[bool]Optional

Query param: Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20proxied">Link to this property</a>

Search param.Field\[string]Optional

Query param: Allows searching in multiple properties of a DNS record simultaneously. This parameter is intended for human users, not automation. Its exact behavior is intentionally left unspecified and is subject to change in the future. This parameter works independently of the <code>match</code> setting. For automated searches, please use the other available parameters.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20search">Link to this property</a>

ShadowedByName param.Field\[string]Optional

Query param: Filters the response to records at or below the specified NS delegation name. NS, DS, and NSEC records at the delegation name are excluded because they are not shadowed by that delegation. Those record types are included only when they exist below the delegation. The value must be a non-apex subdomain of the zone. Requires <code>include_shadow_metadata=true</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20shadowed_by_name">Link to this property</a>

ShadowingName param.Field\[string]Optional

Query param: Returns NS records that shadow the given name, searching at the name itself and each of its ancestor names within the zone, excluding the zone apex. The value must be a subdomain of the zone; the zone apex is not accepted. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20shadowing_name">Link to this property</a>

<details>

<summary>

Tag param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)">RecordListParamsTag</a>]Optional

Query param

</summary>

Absent stringOptional

Name of a tag which must *not* be present on the DNS record. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20absent">Link to this property</a>

Contains stringOptional

A tag and value, of the form <code>&lt;tag-name&gt;:&lt;tag-value&gt;</code>. The API will only return DNS records that have a tag named <code>&lt;tag-name&gt;</code> whose value contains <code>&lt;tag-value&gt;</code>. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20contains">Link to this property</a>

Endswith stringOptional

A tag and value, of the form <code>&lt;tag-name&gt;:&lt;tag-value&gt;</code>. The API will only return DNS records that have a tag named <code>&lt;tag-name&gt;</code> whose value ends with <code>&lt;tag-value&gt;</code>. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20endswith">Link to this property</a>

Exact stringOptional

A tag and value, of the form <code>&lt;tag-name&gt;:&lt;tag-value&gt;</code>. The API will only return DNS records that have a tag named <code>&lt;tag-name&gt;</code> whose value is <code>&lt;tag-value&gt;</code>. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20exact">Link to this property</a>

Present stringOptional

Name of a tag which must be present on the DNS record. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20present">Link to this property</a>

Startswith stringOptional

A tag and value, of the form <code>&lt;tag-name&gt;:&lt;tag-value&gt;</code>. The API will only return DNS records that have a tag named <code>&lt;tag-name&gt;</code> whose value starts with <code>&lt;tag-value&gt;</code>. Tag filters are case-insensitive.

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)%20%3E%20(property)%20startswith">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag">Link to this property</a>

<details>

<summary>

TagMatch param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match%20%3E%20(schema)">RecordListParamsTagMatch</a>]Optional

Query param: Whether to match all tag search requirements or at least one (any). If set to <code>all</code>, acts like a logical AND between tag filters. If set to <code>any</code>, acts like a logical OR instead. Note that the regular <code>match</code> parameter is still used to combine the resulting condition with other filters that aren’t related to tags.

</summary>

const RecordListParamsTagMatchAny <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match%20%3E%20(schema)">RecordListParamsTagMatch</a> = "any"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RecordListParamsTagMatchAll <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match%20%3E%20(schema)">RecordListParamsTagMatch</a> = "all"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20tag_match">Link to this property</a>

<details>

<summary>

Type param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a>]Optional

Query param: Record type.

</summary>

const RecordListParamsTypeA <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "A"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RecordListParamsTypeAAAA <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "AAAA"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const RecordListParamsTypeCAA <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "CAA"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const RecordListParamsTypeCERT <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "CERT"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const RecordListParamsTypeCNAME <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "CNAME"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const RecordListParamsTypeDNSKEY <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "DNSKEY"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

const RecordListParamsTypeDS <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "DS"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

const RecordListParamsTypeHTTPS <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "HTTPS"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

const RecordListParamsTypeLOC <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "LOC"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

const RecordListParamsTypeMX <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "MX"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

const RecordListParamsTypeNAPTR <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "NAPTR"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

const RecordListParamsTypeNS <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "NS"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

const RecordListParamsTypeOpenpgpkey <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "OPENPGPKEY"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

const RecordListParamsTypePTR <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "PTR"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

const RecordListParamsTypeSMIMEA <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "SMIMEA"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

const RecordListParamsTypeSRV <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "SRV"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

const RecordListParamsTypeSSHFP <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "SSHFP"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2016">Link to this property</a>

const RecordListParamsTypeSVCB <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "SVCB"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2017">Link to this property</a>

const RecordListParamsTypeTLSA <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "TLSA"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2018">Link to this property</a>

const RecordListParamsTypeTXT <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "TXT"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2019">Link to this property</a>

const RecordListParamsTypeURI <a href="https://developers.cloudflare.com/api/go/resources/dns/subresources/records/methods/list#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)">RecordListParamsType</a> = "URI"

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%2020">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RecordResponse interface{…}

</summary>

One of the following:

<details>

<summary>

type RecordResponseARecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseARecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type RecordResponseAAAARecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseAAAARecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

type RecordResponseCNAMERecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseCNAMERecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

type RecordResponseMXRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseMXRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

type RecordResponseNSRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseNSRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%204">Link to this property</a>

<details>

<summary>

type RecordResponseOpenpgpkeyRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20id">Link to this property</a>

Comment string

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20comment">Link to this property</a>

Content string

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20content">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseOpenpgpkeyRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20modified_on">Link to this property</a>

Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20name">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20proxiable">Link to this property</a>

Proxied bool

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

Settings RecordResponseOpenpgpkeyRecordSettings

Settings for the DNS record.

</summary>

IPV4Only boolOptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

IPV6Only boolOptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings">Link to this property</a>

Tags \[]<a href="https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20tags">Link to this property</a>

<details>

<summary>

TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float64

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl">Link to this property</a>

Type RecordResponseOpenpgpkeyRecordType

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20type">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%205">Link to this property</a>

<details>

<summary>

type RecordResponsePTRRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponsePTRRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%206">Link to this property</a>

<details>

<summary>

type RecordResponseTXTRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseTXTRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%207">Link to this property</a>

<details>

<summary>

type RecordResponseCAARecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseCAARecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%208">Link to this property</a>

<details>

<summary>

type RecordResponseCERTRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseCERTRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%209">Link to this property</a>

<details>

<summary>

type RecordResponseDNSKEYRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseDNSKEYRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2010">Link to this property</a>

<details>

<summary>

type RecordResponseDSRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseDSRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2011">Link to this property</a>

<details>

<summary>

type RecordResponseHTTPSRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseHTTPSRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2012">Link to this property</a>

<details>

<summary>

type RecordResponseLOCRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseLOCRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2013">Link to this property</a>

<details>

<summary>

type RecordResponseNAPTRRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseNAPTRRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2014">Link to this property</a>

<details>

<summary>

type RecordResponseSMIMEARecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseSMIMEARecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

Whether this glue record is not served because a shallower NS delegation takes precedence over the deeper delegation that needs it. Present only when true; reachable glue carries only <code>is_glue</code>. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#unreachable-glue-records">Unreachable glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20dead_glue">Link to this property</a>

IsGlue boolOptional

Whether this A or AAAA record is glue for a subdomain NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records#glue-records">Glue records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20is_glue">Link to this property</a>

ShadowedBy \[]stringOptional

IDs of the NS records that shadow this record. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_by">Link to this property</a>

ShadowedRecordsCount int64Optional

Number of records shadowed by this NS delegation. See <a href="https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records">Shadowed records</a>.

maximum10000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20meta%20%3E%20(property)%20shadowed_records_count">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20meta">Link to this property</a>

ModifiedOn Time

When the record was last modified.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20modified_on">Link to this property</a>

Proxiable bool

Whether the record can be proxied by Cloudflare or not.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20proxiable">Link to this property</a>

CommentModifiedOn TimeOptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20comment_modified_on">Link to this property</a>

TagsModifiedOn TimeOptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20tags_modified_on">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2015">Link to this property</a>

<details>

<summary>

type RecordResponseSRVRecord struct{…}

</summary>

ID string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2016%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

When the record was created.

formatdate-time

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_response%20%3E%20(schema)%20%3E%20(variant)%2016%20%3E%20(entry)%201%20%3E%20(property)%20created_on">Link to this property</a>

<details>

<summary>

Meta RecordResponseSRVRecordMeta

Extra Cloudflare-specific metadata about the record.

</summary>

DeadGlue boolOptional

[...]
